Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 90%

Category: Permissions and roles Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

Dear designers,

anonymous and non members users have permission to view the News and the Activity of any public project. This is good and bad,

depending on how the news is used.

In my situation, I use the news to post meeting minutes, which are accessible only to the project team. Posting the minutes in the

news allow us to review the main decisions in chronological order during the post mortem meeting. In addition to that, all the main

events of my projects are on the news, and some of them should remain internal to the project team only.

I'd like to make some projects public, particularly due to the Roadmap, but I can't since I cannot disable the view news to anonymous

and non member users. It would be great to have a feature to enable/disable the reading of the news to users in general, even

internal do the project.

Related issues:

Related to Redmine - Feature #9931: In user roles news viewing can also be co... Closed

Associated revisions

Revision 16639 - 2017-06-07 22:25 - Jean-Philippe Lang

New permission: view news (#7068).

Patch by Felix Schäfer.

Revision 16640 - 2017-06-07 22:26 - Jean-Philippe Lang

Adds permission_view_news string to locales (#7068).

Revision 16721 - 2017-06-26 21:49 - Jean-Philippe Lang

Global News view should not be allowed without permission (#7068).

Revision 16723 - 2017-06-26 21:57 - Jean-Philippe Lang

Merged r16721 (#7068).

History

#1 - 2011-04-18 18:19 - Katie Nelson

+1

Any plans to develop this? We are currently using Basecamp and this is a very handy feature.

#2 - 2013-12-01 12:03 - Toshi MARUYAMA

- Related to Feature #9931: In user roles news viewing can also be configurable added

#3 - 2017-04-13 12:23 - Jan from Planio www.plan.io

We will provide a patch for this shortly.

#4 - 2017-04-13 16:41 - Alcides Silveira Costa

Jan from Planio www.plan.io wrote:
We will provide a patch for this shortly.

 Great!

#5 - 2017-04-18 11:09 - Felix Schäfer

- File 7068.patch added

The attached patch makes the "View News" permission configurable. Furthermore, the permission is added to every role in the default data loader,

and a migration adds the permission to all existing roles. This way there should be no change for existing Redmine installations.

#6 - 2017-04-18 11:23 - Felix Schäfer

- File 7068-2.patch added

I am very sorry I have forgotten the Japanese translation in the first patch. This second patch is the same as the first patch with the additional

Japanese translation.

#7 - 2017-04-18 11:31 - Jan from Planio www.plan.io

- File deleted (7068.patch)

#8 - 2017-04-18 11:32 - Jan from Planio www.plan.io

- Target version set to Candidate for next minor release

- % Done changed from 0 to 90

#9 - 2017-04-19 11:22 - Go MAEDA

- Target version changed from Candidate for next minor release to 3.4.0

The attached patch works fine as expected. Thank you for your contribution, Felix.

All project modules except Forum and News have "view_*" permission. I think that News module should have the permission too.

#10 - 2017-04-19 13:20 - Felix Schäfer

Go MAEDA wrote:

All project modules except Forum and News have "view_*" permission. I think that News module should have the permission too.

 Maybe we can similarly add control over the permission to view forum messages? This way everything in modules would be completely controllable

by administrators.

#11 - 2017-04-19 15:34 - Go MAEDA

Felix Schäfer wrote:

Go MAEDA wrote:

All project modules except Forum and News have "view_*" permission. I think that News module should have the permission too.

 Maybe we can similarly add control over the permission to view forum messages? This way everything in modules would be completely

controllable by administrators.

 It would be even greater if view_forum permission is implemented. Redmine become more consistent and users get flexibility. There are some people

who want the feature. Please see #4866.

#12 - 2017-04-19 16:52 - Felix Schäfer

Go MAEDA wrote:

It would be even greater if view_forum permission is implemented. Redmine become more consistent and users get flexibility.

 This was my thinking to propose this change.

There are some people who want the feature. Please see #4866.
 Thank you for pointing this out, I have prepared a similar patch for view messages and have added it in #4866#note-3.

#13 - 2017-04-21 11:45 - Felix Schäfer

- File 7068-3.patch added

I added test fixtures to the patch to avoid failing tests. See also #4866#note-4, Thank you Go Maeda for pointing this out.

#14 - 2017-05-13 18:11 - Hirokazu Onozato

+1

In my project, this is a necessary feature.

#15 - 2017-06-07 22:26 - Jean-Philippe Lang

- Subject changed from Develop enable/disable news view access to New permission: view news

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks for the patch.

Files

7068-2.patch 5.53 KB 2017-04-18 Felix Schäfer

7068-3.patch 6.59 KB 2017-04-21 Felix Schäfer

Powered by TCPDF (www.tcpdf.org)

2025-05-17 3/3

https://www.redmine.org/issues/4866#note-3
https://www.redmine.org/issues/4866#note-4
http://www.tcpdf.org

